oracle.xml.pipeline.controller

## Class PipelineDoc

- java.lang.Object
- - oracle.xml.pipeline.controller.PipelineDoc

All Implemented Interfaces:
  PipelineConstants

    public class PipelineDoc
    extends java.lang.Object
    implements PipelineConstants

Encapsulates the pipeline doc, which forms the input to the pipeline execution.

### Field Summary

### Fields inherited from interface oracle.xml.pipeline.controller.PipelineConstants

`COMPSTREAMRESULT, COMPSTREAMSOURCE, DOCFRAG, DOCUMENT, DOMRESULT, DOMSOURCE, ELEMENT, PROCESS_WAITING, SAXRESULT, SAXSOURCE, STREAMRESULT, STREAMSOURCE`

### Constructor Summary

Constructors
Constructor and Description
`PipelineDoc(InputSource in, boolean validate)` Create a pipeline doc.
`PipelineDoc(java.io.InputStream in, boolean validate)` Create a pipeline doc.
`PipelineDoc(java.io.Reader r, boolean validate)` Create a pipeline doc.
`PipelineDoc(java.lang.String in, boolean validate)` Create a pipeline doc.

### Method Summary

All Methods Instance Methods Concrete Methods
`XMLDocument` `getDocument()` Get the encapsulated document object

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PipelineDoc

    public PipelineDoc(InputSource in,
                       boolean validate)
                throws XMLParseException,
                       SAXException,
                       java.io.IOException,
                       XSDException,
                       java.lang.Exception

Create a pipeline doc.

Parameters:
  `in` - - xml pipeline doc as InputSource
  `validate` - - validate against schema
Throws:
  `XMLParseException` - thrown for any parsing error
  `SAXException` - thrown if any SAX error
  `java.io.IOException` - thrown if error reading input stream
  `XSDException` - thrown if error during schema validation
  `java.lang.Exception` - thrown if error building XMLSchema object

#### PipelineDoc

    public PipelineDoc(java.io.InputStream in,
                       boolean validate)
                throws XMLParseException,
                       SAXException,
                       java.io.IOException,
                       XSDException,
                       java.lang.Exception

Create a pipeline doc.

Parameters:
  `in` - - xml pipeline doc as InputStream
  `validate` - - validate against schema or not
Throws:
  `XMLParseException` - thrown for any parsing error
  `SAXException` - thrown if any SAX error
  `java.io.IOException` - thrown if error reading input stream
  `XSDException` - thrown if error during schema validation
  `java.lang.Exception` - thrown if error building XMLSchema object

#### PipelineDoc

    public PipelineDoc(java.io.Reader r,
                       boolean validate)
                throws XMLParseException,
                       SAXException,
                       java.io.IOException,
                       XSDException,
                       java.lang.Exception

Create a pipeline doc.

Parameters:
  `r` - - xml pipeline doc as Reader
  `validate` - - validate against schema or not
Throws:
  `XMLParseException` - thrown for any parsing error
  `SAXException` - thrown if any SAX error
  `java.io.IOException` - thrown if error reading input stream
  `XSDException` - thrown if error during schema validation
  `java.lang.Exception` - thrown if error building XMLSchema object

#### PipelineDoc

    public PipelineDoc(java.lang.String in,
                       boolean validate)
                throws XMLParseException,
                       SAXException,
                       java.io.IOException,
                       XSDException,
                       java.lang.Exception

Create a pipeline doc.

Parameters:
  `in` - - xml pipeline doc as a String
  `validate` - - validate against schema or not
Throws:
  `XMLParseException` - thrown for any parsing error
  `SAXException` - thrown if any SAX error
  `java.io.IOException` - thrown if error reading input string
  `XSDException` - thrown if error during schema validation
  `java.lang.Exception` - thrown if error building XMLSchema object

### Method Detail

#### getDocument

    public XMLDocument getDocument()

Get the encapsulated document object

Returns:
  XMLDocument object

Copyright © 2003, 2020, Oracle and/or its affiliates.